### Method

# Soup AuthDomain accepts

#### Declaration [src]

    char*
    soup_auth_domain_accepts (
      SoupAuthDomain* domain,
      SoupServerMessage* msg
    )

#### Description [src]

Checks if `msg` contains appropriate authorization for `domain` to accept it.

Mirroring `soup_auth_domain_covers()`, this does not check whether or not `domain` cares if `msg` is authorized.

This is used by `SoupServer` internally and is probably of no use to anyone else.

#### Parameters

`msg` | `SoupServerMessage`
| A `SoupServerMessage`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `char*`
| The username that `msg` has authenticated as, if in fact it has authenticated. `NULL` otherwise.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.